> ## Documentation Index
> Fetch the complete documentation index at: https://uafilms.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Головна сторінка



## OpenAPI

````yaml GET /api/home
openapi: 3.0.3
info:
  title: UAFilms API
  description: >-
    API для агрегації українського контенту. Підтримує SSE для динамічного
    завантаження джерел.
  version: 1.1.4
servers:
  - url: https://bfilms.aartzz.pp.ua
    description: Production Server
security: []
paths:
  /api/home:
    get:
      summary: Головна сторінка
      parameters:
        - name: adult
          in: query
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Списки контенту по категоріях
          content:
            application/json:
              schema:
                type: object
                properties:
                  trending:
                    type: array
                    items:
                      $ref: '#/components/schemas/MovieShort'
                  recommended:
                    type: array
                    items:
                      $ref: '#/components/schemas/MovieShort'
                  ukrainian:
                    type: array
                    items:
                      $ref: '#/components/schemas/MovieShort'
                  cartoons:
                    type: array
                    items:
                      $ref: '#/components/schemas/MovieShort'
                  anime:
                    type: array
                    items:
                      $ref: '#/components/schemas/MovieShort'
        '500':
          description: Помилка сервера
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    MovieShort:
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
        poster_path:
          type: string
        vote_average:
          type: number
        release_date:
          type: string
    Error:
      type: object
      properties:
        error:
          type: string
          example: CAPTCHA token missing
        details:
          type: array
          items:
            type: string
          nullable: true

````